Braille devices
Implementation internals » Device handling

Braille displays functions. More...

## Macros

#define | BRL_ID "\033ID="
#define | WAIT_DTR 700000
#define | WAIT_FLUSH 200
#define | BAUDRATE B19200 /* But both run at 19k2 */
#define | MAXREAD 18

## Functions

static unsigned | do_alva (hd_data_t *hd_data, char *dev_name, int cnt)
static unsigned | do_fhp (hd_data_t *hd_data, char *dev_name, unsigned baud, int cnt)
static unsigned | do_fhp_new (hd_data_t *hd_data, char *dev_name, int cnt)
static unsigned | do_ht (hd_data_t *hd_data, char *dev_name, int cnt)
static unsigned | do_baum (hd_data_t *hd_data, char *dev_name, int cnt)
void | hd_scan_braille (hd_data_t *hd_data)

## Detailed Description

Braille displays functions.

## Macro Definition Documentation

## BAUDRATE

#define BAUDRATE B19200 /* But both run at 19k2 */

Referenced by do_baum().

## BRL_ID

#define BRL_ID "\033ID="

Referenced by do_alva().

## MAXREAD

#define MAXREAD 18

Referenced by do_baum().

## WAIT_DTR

#define WAIT_DTR 700000

Referenced by do_alva().

## WAIT_FLUSH

#define WAIT_FLUSH 200

Referenced by do_alva().

## Function Documentation

## do_alva()

unsigned do_alva | ( | hd_data_t * | hd_data,
|  | char * | dev_name,
|  | int | cnt )

static

References ADD2LOG, BRL_ID, hd_data, hd_log_hex(), MAKE_ID, PROGRESS, TAG_SPECIAL, WAIT_DTR, and WAIT_FLUSH.

Referenced by hd_scan_braille().

## do_baum()

unsigned do_baum | ( | hd_data_t * | hd_data,
|  | char * | dev_name,
|  | int | cnt )

static

References ADD2LOG, BAUDRATE, device_id, hd_data, hd_log_hex(), MAKE_ID, MAXREAD, PROGRESS, and TAG_SPECIAL.

Referenced by hd_scan_braille().

## do_fhp()

unsigned do_fhp | ( | hd_data_t * | hd_data,
|  | char * | dev_name,
|  | unsigned | baud,
|  | int | cnt )

static

References ADD2LOG, hd_data, hd_log_hex(), MAKE_ID, PROGRESS, and TAG_SPECIAL.

Referenced by hd_scan_braille().

## do_fhp_new()

unsigned do_fhp_new | ( | hd_data_t * | hd_data,
|  | char * | dev_name,
|  | int | cnt )

static

References ADD2LOG, hd_data, hd_log_hex(), MAKE_ID, PROGRESS, and TAG_SPECIAL.

Referenced by hd_scan_braille().

## do_ht()

unsigned do_ht | ( | hd_data_t * | hd_data,
|  | char * | dev_name,
|  | int | cnt )

static

References ADD2LOG, hd_data, hd_log_hex(), MAKE_ID, PROGRESS, and TAG_SPECIAL.

Referenced by hd_scan_braille().

## hd_scan_braille()

void hd_scan_braille | ( | hd_data_t * | hd_data | ) |

References add_hd_entry(), s_hd_t::attached_to, s_hd_t::base_class, bc_braille, bc_comm, s_hd_t::bus, bus_serial, s_hd_t::device, do_alva(), do_baum(), do_fhp(), do_fhp_new(), do_ht(), has_something_attached(), hd_data, hd_fork(), hd_fork_done(), hd_probe_feature(), hd_shm_add(), hd_shm_clean(), hd_id_t::id, s_hd_t::idx, MAKE_ID, mod_braille, new_str(), s_hd_t::next, pr_braille, pr_braille_alva, pr_braille_baum, pr_braille_fhp, pr_braille_ht, PROGRESS, remove_hd_entries(), sc_com_ser, s_hd_t::tag_s::skip_braille, s_hd_t::sub_class, s_hd_t::tag, TAG_SPECIAL, s_hd_t::unix_dev_name, and s_hd_t::vendor.

Referenced by hd_scan_no_hal().